package com.bocloud.cmp.provider.agile.device;

import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;
import com.bocloud.nms.model.agile.AgileDeviceGroupModel;
import com.bocloud.nms.model.agile.AgileDeviceLinkModel;
import com.bocloud.nms.model.agile.AgileDeviceModel;
import com.bocloud.nms.model.agile.AgileDevicePortModel;

import java.util.List;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: DeviceProvider
 * @Description:
 * @author: zhenpingLi/李振平
 * @date: 2020/6/28 15:59
 */
public interface DeviceProvider extends SuperProvider {
    default BocloudResult<List<AgileDeviceModel>> listDevice() {
        return new BocloudResult<>(false, "need implement");
    }

    default BocloudResult<List<AgileDeviceGroupModel>> listDeviceGroup() {
        return new BocloudResult<>(false, "need implement");
    }

    default BocloudResult<List<AgileDevicePortModel>> listDevicePort(List<String> deviceUuids) {
        return new BocloudResult<>(false, "need implement");
    }

    default BocloudResult<List<AgileDeviceLinkModel>> listDeviceLink(String localDeviceId, String peerDeviceId) {
        return new BocloudResult<>(false, "need implement");
    }
}